Package ch.qos.logback.access.pattern

# Class EnsureLineSeparation

java.lang.Object
ch.qos.logback.access.pattern.EnsureLineSeparation

All Implemented Interfaces:
  `PostCompileProcessor<IAccessEvent>`

public class EnsureLineSeparation extends Object implements PostCompileProcessor<IAccessEvent>

## Constructor Summary

Constructors
Constructor
Description
`EnsureLineSeparation()`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Context context, Converter<IAccessEvent> head)`
Add a line separator converter so that access event appears on a separate line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnsureLineSeparation

public EnsureLineSeparation()

## Method Details

### process

public void process(Context context, Converter<IAccessEvent> head)
Add a line separator converter so that access event appears on a separate line.

Specified by:
  `process` in interface `PostCompileProcessor<IAccessEvent>`
  `head` - The first converter in the chain